be.ehealth.technicalconnector.session

## Class ImplementationClassFactory

- java.lang.Object
- - be.ehealth.technicalconnector.session.ImplementationClassFactory

- Direct Known Subclasses:
    AddressbookSessionServiceImplFactory, AttestServiceImplementationFactory, ConsultrnImplementationClassFactory, DicsImplementationClassFactory, DicsImplementationClassFactory, EhboxServiceImplementationFactory, GenAsyncServiceImplementationFactory, GenericServiceImplementationFactory, GenInsServiceImplementationFactory, MemberDataServiceImplementationFactory, SsinHistorySessionServiceImplFactory, TherlinkServiceImplementationFactory

      public abstract class ImplementationClassFactory
      extends Object

  creates implementation classes for services. subclasses must choose the exact constructor of the service to use, and have some input parameters available to use.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImplementationClassFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> T` | `createImplementationClass(Class<T> clazz, SessionValidator sessionValidator, EhealthReplyValidator replyValidator, Crypto hokCrypto, Crypto encryptionCrypto, String... additionalParameters)` Deprecated. use the other createImplementationClass method without crypto
    `<T> T` | `createImplementationClass(Class<T> clazz, SessionValidator sessionValidator, EhealthReplyValidator replyValidator, String... additionalParameters)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImplementationClassFactory

          public ImplementationClassFactory()

  - ### Method Detail

    - #### createImplementationClass

          @Deprecated
          public <T> T createImplementationClass(Class<T> clazz,
                                                              SessionValidator sessionValidator,
                                                              EhealthReplyValidator replyValidator,
                                                              Crypto hokCrypto,
                                                              Crypto encryptionCrypto,
                                                              String... additionalParameters)
                                                       throws TechnicalConnectorException,
                                                              ConnectorException

      Deprecated. use the other createImplementationClass method without crypto
      creates the implementation for a range of possible classes.
      Type Parameters:
        `T` -
      Parameters:
        `clazz` - the class
        `sessionValidator` - the session validator
        `replyValidator` - the reply validator
        `hokCrypto` - the hok crypto
        `encryptionCrypto` - the encryption crypto
      Returns:
        the implementation class
      Throws:
        `TechnicalConnectorException`
        `ConnectorException`

    - #### createImplementationClass

          public <T> T createImplementationClass(Class<T> clazz,
                                                 SessionValidator sessionValidator,
                                                 EhealthReplyValidator replyValidator,
                                                 String... additionalParameters)
                                          throws TechnicalConnectorException,
                                                 ConnectorException

      Throws:
        `TechnicalConnectorException`
        `ConnectorException`

Connector Packaging PERSLOGOPEDIST 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.